<template>
  <section class="AiEditBtn">
    <el-button v-if="!edit" type="text" @click="handleOper('edit')">编辑</el-button>
    <template v-else>
      <el-button type="text" @click="handleOper('submit')">保存</el-button>
      <el-button type="text" @click="handleOper('cancel')">取消</el-button>
    </template>
  </section>
</template>

<script>
export default {
  name: "AiEditBtn",
  data() {
    return {
      edit: false
    }
  },
  methods: {
    handleOper(event) {
      if (event != "submit") {
        this.edit = !this.edit
        this.$emit(event)
      } else this.$emit(event, () => this.edit = !this.edit)
    }
  }
}
</script>

<style lang="scss" scoped>
.AiEditBtn {
}
</style>
